document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_20500 | ---
+++
@@ -8,7 +8,7 @@
URL="http://aws.asdf.com"
;;
"test") echo "Deploying to environment test."
- URL="http://leanbean-app:8080"
+ URL="http://leanbean-api:8080"
;;
*) echo "Unknown environment, cannot deploy."
... | bash |
d_bash_20501 | ---
+++
@@ -8,8 +8,9 @@
install_some_basic_apps () {
sudo apt-get update -y
sudo apt-get upgrade -y
- sudo apt-get install git git-flow git-svn subversion \
+ sudo apt-get install -y git git-flow git-svn subversion \
vim vim-nox \
+ curl \
openvpn
} | bash |
d_bash_20502 | ---
+++
@@ -1,7 +1,11 @@
+# Load ASDF
if [ -f $HOME/.asdf/asdf.sh ]; then
- # Load ASDF
. $HOME/.asdf/asdf.sh
+elif [ -f /usr/local/opt/asdf/asdf.sh ]; then
+ . /usr/local/opt/asdf/asdf.sh
+fi
+if [ $ASDF_DIR ]; then
# Append completions to fpath
- fpath=(${ASDF_DIR}/completions $fpath)
+ fpa... | bash |
d_bash_20503 | ---
+++
@@ -16,6 +16,7 @@
eg2.tslint
ms-vsliveshare.vsliveshare
ms-vsts.team
+ PeterJausovec.vscode-docker
romanresh.testcafe-test-runner
)
| bash |
d_bash_20504 | ---
+++
@@ -1,9 +1,3 @@
-if grep 'lucid' /etc/lsb-release 1>/dev/null; then
- apt-get -y install git-core
-else
- apt-get -y install git
-fi
-
#TODO: Find some man pages for this.
cd /home/matt/src
git clone http://checkinstall.izto.org/checkinstall.git | bash |
d_bash_20505 | ---
+++
@@ -3,6 +3,6 @@
jq -r --arg i $i '.[$i | tonumber].email' users.json
jq --arg i $i -f form.jq users.json | \
curl -s -d @- -H "X-API-TOKEN: $1" \
- https://api.typeform.io/v0.1/forms | \
- jq -r '.links.form_render.get'
+ https://api.typeform.io/v0.4/forms | \
+ jq -r '._links[1].hr... | bash |
d_bash_20506 | ---
+++
@@ -3,6 +3,8 @@
export CF=/opt/cloudfleet
export CF_VAR=${CF}/var
export CF_DATA=${CF}/data
+ export CF_ENGINEROOM=${CF}/engineroom
+ export CF_BIN=${CF_ENGINEROOM}/bin
# Ensure directories exist
mkdir -p "${CF_VAR}" || echo "Failed to create ${CF_VAR}. Continuing."
@@ -14,6 +... | bash |
d_bash_20507 | ---
+++
@@ -1,7 +1,8 @@
#!/bin/bash
set -e
-cluster_name="codeship-gcloud-test"
+date=$(date "+%Y-%m-%d_%H-%M")
+cluster_name="codeship-gcloud-test-${date}"
codeship_google authenticate
| bash |
d_bash_20508 | ---
+++
@@ -13,9 +13,14 @@
fi
if [ -r "$root_crontab" ]; then
- sed --in-place '/^# END VUFIND AUTOGENERATED/i 0 1 1 * * "$BIN/update_print_issns_titles_online_ppns_and_online_issns_list.sh"' \
- $root_crontab
+ if [ grep --quiet 'purge_old_data.py' "$root_crontab" ]; then
+ sed --in-place '/p... | bash |
d_bash_20509 | ---
+++
@@ -7,3 +7,6 @@
"$pg_ctl" "--pgdata=${PGDATA}" start -w
make installcheck
"$pg_ctl" "--pgdata=${PGDATA}" stop
+if [ -f regression.diffs ]; then
+ cat regression.diffs
+fi | bash |
d_bash_20510 | ---
+++
@@ -2,13 +2,16 @@
# This downloads and installs the protobuf compiler depending on the platform
-if [ "$(uname)" == "Darwin" ]
-then
- # Under Mac OS X platform
+if [ "$(uname)" == "Darwin" ]; then
+ # Under Mac OS X platform
echo 'Downloading MacOs protobuf compiler'
curl https://github... | bash |
d_bash_20511 | ---
+++
@@ -19,9 +19,20 @@
}
replace(){
- local str=${1}
- local orig=${2}
- local new=${3}
+ local input=(${@})
+
+ orig=${input[-2]}
+ new=${input[-1]}
+
+ for (( i=${#input[@]}; i>=0; i-- )); do
+ _temp+=(${input[i]})
+ done
+
+ _input=(${_temp[@]:2})
+
+ for (( i=${#_input[@]}; i>=0; i-- )); do
... | bash |
d_bash_20512 | ---
+++
@@ -1,3 +1,4 @@
+mkdir ../models
cd ../models
wget -c https://gist.githubusercontent.com/ksimonyan/3785162f95cd2d5fee77/raw/bb2b4fe0a9bb0669211cf3d0bc949dfdda173e9e/VGG_ILSVRC_19_layers_deploy.prototxt
wget -c --no-check-certificate https://bethgelab.org/media/uploads/deeptextures/vgg_normalised.caffemodel | bash |
d_bash_20513 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-if [ "TRAVIS_PULL_REQUEST" == "false" ]; then
+if [ "$TRAVIS_PULL_REQUEST" == "false" ]; then
openssl aes-256-cbc -K $encrypted_192b72faab89_key -iv $encrypted_192b72faab89_iv -in gradle.properties.enc -out gradle.properties -d
fi | bash |
d_bash_20514 | ---
+++
@@ -18,3 +18,6 @@
sleep 2
echo "Starting Jokusoramame."
python bot.py config.yml
+
+echo "Bot has terminated, killing RethinkDB safely."
+kill -INT $! | bash |
d_bash_20515 | ---
+++
@@ -11,6 +11,6 @@
checkpoint_completion_target = 0.9
fsync = off
full_page_writes = off
-max_wal_size = 1GB
-min_wal_size = 80MB
+max_wal_size = 4GB
+min_wal_size = 1GB
EOF | bash |
d_bash_20516 | ---
+++
@@ -19,8 +19,14 @@
\) -name '*_test.go' -print0 | xargs -0n1 dirname | sort -u | xargs -n1 printf "${OS_GO_PACKAGE}/%s\n"
}
-# -covermode=atomic becomes default with -race in Go >=1.3
-KUBE_COVER=${KUBE_COVER:--cover -covermode=atomic}
+# there is currently a race in the coverage code in tip. Remove ... | bash |
d_bash_20517 | ---
+++
@@ -5,7 +5,7 @@
cd coverage
mkdir binaries
-COMPILE_COMMAND=(g++ -O0 -W -Wall -Werror -std=c++11 -fprofile-arcs -fno-exceptions -ftest-coverage -I../include)
+COMPILE_COMMAND=(g++ -O0 -fno-exceptions -DNDEBUG -W -Wall -Werror -std=c++11 -fprofile-arcs -fno-exceptions -ftest-coverage -I../include)
FRUIT_O... | bash |
d_bash_20518 | ---
+++
@@ -35,6 +35,7 @@
EOF`
local gem_dir="$root/.gem/$ruby_engine/$ruby_version"
+ local retval
cd $root/
eval 'PATH="$gem_dir/bin:$PATH"' \
@@ -42,5 +43,8 @@
'GEM_PATH="$gem_dir:$gem_home:$gem_root"' \
'PS1="$(basename $root)> $PS1"' \
$command
+ retval=$?
+
cd $OLDPWD
+ return ... | bash |
d_bash_20519 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
-mvn -pl ui package -Ppandas
+mvn -pl common,ui package -Ppandas
cp -v ui/target/bamboo-*.jar $1/
(cd $1; ln -s bamboo-*.jar bamboo.jar) | bash |
d_bash_20520 | ---
+++
@@ -28,6 +28,7 @@
fi
# Copy the docs and coverage results.
+rm -rf doc
cp -R ../libstephen/doc/_build/html doc
cp -R ../libstephen/cov .
| bash |
d_bash_20521 | ---
+++
@@ -1,3 +1,5 @@
if [ "$(uname -s)" == "Darwin" ]; then
export DISPLAY=localhost:0.0
+
+ alias jsc="/System/Library/Frameworks/JavaScriptCore.framework/Versions/Current/Resources/jsc"
fi | bash |
d_bash_20522 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
set -e
-./hacks/coverage.sh
+./hack/coverage.sh
goveralls -service=travis-ci -coverprofile=.coverprofile -ignore=$(find -regextype posix-egrep -regex ".*generated_mock.*\.go|.*swagger_generated\.go|.*openapi_generated\.go" -printf "%P\n" | paste -d, -s) | bash |
d_bash_20523 | ---
+++
@@ -24,6 +24,12 @@
racket expand_racket.rkt --output $jsonfile $scriptfile
fi
+# Check the PYTHON environment variable to determine the python executable.
+# Use a default if necessary
+if [ -z $PYTHON ]; then
+ PYTHON=pypy
+fi
+
# Now run the actual program
-pypy runpycket.py $jsonfile
+$PYTHON runpy... | bash |
d_bash_20524 | ---
+++
@@ -5,7 +5,7 @@
apt-get update
apt-get install -y openjdk-7-jdk rake ruby-puppetlabs-spec-helper puppet-lint git bundler python-dev libssl-dev libxml2-dev libxslt-dev python-tox python-pip build-essential libmysqlclient-dev libfreetype6-dev libpng12-dev git-buildpackage debhelper dupload libffi-dev npm no... | bash |
d_bash_20525 | ---
+++
@@ -6,7 +6,7 @@
if ! [ -f "$BTCPAY_SSHKEYFILE" ] || ! [ -f "$BTCPAY_SSHKEYFILE.pub" ]; then
rm -f "$BTCPAY_SSHKEYFILE" "$BTCPAY_SSHKEYFILE.pub"
echo "Creating BTCPay Server SSH key File..."
- ssh-keygen -t rsa -f "$BTCPAY_SSHKEYFILE" -q -P "" -m PEM -C btcpayserver > /dev/null
+ ... | bash |
d_bash_20526 | ---
+++
@@ -27,8 +27,8 @@
FIRST_COMMIT=$(git log --format='%H' | tail -1)
git reset --mixed $FIRST_COMMIT
git add -A
-git commit --amend
-git push ${GIT_REMOTE_NAME} gh-pages -f
+git commit --amend --message="Update GitHub pages"
+git push origin gh-pages -f
popd
# Cleanup | bash |
d_bash_20527 | ---
+++
@@ -7,25 +7,30 @@
# also trap errors, to reenable terminal settings
trap onExit ERR
-time $SCALD tutorial/Tutorial0.scala
-time $SCALD tutorial/Tutorial1.scala
-time $SCALD tutorial/Tutorial2.scala
+time $SCALD tutorial/MatrixTutorial0.scala \
+ --input tutorial/data/graph.tsv \
+ --output tutorial/data... | bash |
d_bash_20528 | ---
+++
@@ -11,6 +11,8 @@
echo "Importing ${machine_name}"
machine-import ${machine_name}.zip
+# The permission isn't set properly on import
+chmod 0600 /root/.docker/machine/machines/${machine_name}/id_rsa
echo "Setting up environment"
eval $(docker-machine env "${machine_name}" --shell bash) | bash |
d_bash_20529 | ---
+++
@@ -4,11 +4,13 @@
autoconf \
automake \
bzr \
+calibre \
chromium \
emacs-x11 \
htop \
gcc gcc-c++ \
git git-daemon git-gui gitk \
+iotop \
libtool \
make \
mercurial \ | bash |
d_bash_20530 | ---
+++
@@ -4,8 +4,22 @@
# Creates virtual environments using the Python executables in $ENV_LIST. Existing
# environments are recreated.
+
+PIP="pip"
+VIRTUALENV="virtualenv"
ENV_LIST="python2 python3"
ENV_EXT="venv"
+
+#let's make sure that pip and virtualenv are installed.
+if ! hash "$PIP" 2>/dev/null; th... | bash |
d_bash_20531 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+#make request to server to generate context
+curl --verbose http://127.0.0.1:8080/lucee/admin/web.cfm
#install commandbox
echo "Installing CommandBox" | bash |
d_bash_20532 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
if [ "$TRAVIS_BRANCH" == "master" ]; then
dotnet pack -c Release -o ./release
- nuget push ./src/DataCommand.Core/release/*.nupkg $NUGET_API_KEY -Source https://www.nuget.org/api/v2/package
+ dotnet nuget push ./src/DataCommand.Core/release/*.nupkg -k $NUGET_API_KEY -s https://... | bash |
d_bash_20533 | ---
+++
@@ -3,4 +3,4 @@
########################################
export WORKSPACE_HOME='/Users/dpilone/Documents/NASA/code/echo_10_latest'
-export ANT_OPTS=-XX:MaxPermSize=256m\ -Xmx256m
+export ANT_OPTS='-Xmx1024m -Xms512m -XX:MaxPermSize=256m' | bash |
d_bash_20534 | ---
+++
@@ -8,14 +8,18 @@
# Remove comment character
sed '/^#/ d' $1 > $1.templ
+
# Remove state information
sed '/^1:/ d' $1.templ > $1.tempr
+
# Write info
echo "Wrote temporary processed file: $1.tempr"
+
# Get per thread event values
SCRIPT="`readlink -e $0`"
SCRIPTPATH="`dirname $SCRIPT`"
Rscript $SC... | bash |
d_bash_20535 | ---
+++
@@ -1,11 +1,11 @@
#!/bin/bash
+
+exec 3<<<"" # Create a deleted temporary fil: /dev/fd/3
. sdsb_lib.sh
read_config
-bash sdsb_run.sh &> sdsb.log
+bash sdsb_run.sh 2>&1 | tee /dev/fd/3
-send_notification sdsb.log
-
-#rm sdsb.log
+send_notification /dev/fd/3 | bash |
d_bash_20536 | ---
+++
@@ -3,6 +3,7 @@
fi
PROMPT='%F{blue}%~%f %(?.%F{green}.%F{red})%#%f '
+WORDCHARS=${WORDCHARS/\/}
bindkey '\e[5~' history-beginning-search-backward # PgUp
bindkey '\e[6~' history-beginning-search-forward # PgDn | bash |
d_bash_20537 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
-curl -O http://www.fuzzwork.co.uk/dump/mysql55-odyssey-1.0-89097.tbz2
-tar xvjf /vagrant/puppet/scripts/mysql55-odyssey-1.0-89097.tbz2
-mysql -u root -D djangotest < /vagrant/puppet/scripts/odyssey-1.0-89097/mysql55-odyssey-1.0-89097.dmp
+curl -O https://www.fuzzwork.co.uk/dump... | bash |
d_bash_20538 | ---
+++
@@ -1,14 +1,4 @@
#!/usr/bin/env bash
-
-# Detect which `ls` flavor is in use
-if ls --color > /dev/null 2>&1; then # GNU `ls`
- colorflag="--color"
-else # OS X `ls`
- colorflag="-G"
-fi
-
-# Always use color output for `ls`
-alias ls="command ls ${colorflag}"
# List all files in long format
alias ll='... | bash |
d_bash_20539 | ---
+++
@@ -1,11 +1,11 @@
#!/bin/bash
-cp doc-src/screen.css public
-cp -r doc-src/bower_components public/
-cp -r doc-src/graphics public/
-cp -r doc-src/proofs-by-excel public/
+#cp doc-src/screen.css public
+#cp -r doc-src/bower_components public/
+#cp -r doc-src/graphics public/
+#cp -r doc-src/proofs-by-excel... | bash |
d_bash_20540 | ---
+++
@@ -18,7 +18,9 @@
DATETIME=`hostname`.`date +"%Y%m%d.%H%M%S"`
-MPIFLAGS="--mca btl tcp,self" # just to get rid of warning on psg cluster node wo proper IB sw installed
+# Just to get rid of warning on psg cluster node wo proper IB sw installed
+# Use mca btl_tcp_if_exclude to skip docker network in DLV... | bash |
d_bash_20541 | ---
+++
@@ -30,7 +30,7 @@
make sqlite3.c
$CC $CFLAGS -I. \
- /src/sqlite3/test/ossfuzz.c -o /out/sqlite3_fuzzer \
+ /src/sqlite3/test/ossfuzz.c -o /out/ossfuzz \
-lfuzzer ./sqlite3.o $FUZZER_LDFLAGS
cp /src/*.options /src/*.dict /out/ | bash |
d_bash_20542 | ---
+++
@@ -16,7 +16,6 @@
# along with OpenQuake. If not, see <http://www.gnu.org/licenses/>
set -e
-set -x
checkcmd() {
command -v $1 >/dev/null 2>&1 || { echo >&2 "This script requires '$1' but it isn't available. Aborting."; exit 1; } | bash |
d_bash_20543 | ---
+++
@@ -2,6 +2,9 @@
# Userscripts extractor
# * Extract *.user.js from Firefox profile directory
+
+set -o nounset
+set -o errexit
FXPROFILE="${USERPROFILE//\\/\/}/AppData/Roaming/Mozilla/Firefox/Profiles"
USERJSEXT=.user.js | bash |
d_bash_20544 | ---
+++
@@ -1,5 +1,5 @@
git_prompt_info() {
- current_branch=$(git rev-parse --abbrev-ref HEAD 2> /dev/null)
+ local current_branch=$(git rev-parse --abbrev-ref HEAD 2> /dev/null)
if [[ -n $current_branch ]]; then
echo "%{$fg[cyan]%}⸤$current_branch⸣%{$reset_color%} "
fi | bash |
d_bash_20545 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/sh
cd `dirname $0`
+npm install
forever start app.js
forever start scripts/poll.js -d
forever list | bash |
d_bash_20546 | ---
+++
@@ -7,7 +7,7 @@
testfn=${intest##*/}
assignment=${testfn%_test.erl}
workdir=$(mktemp -d "${tmp}${assignment}.XXXXXXXXXX")
- modname=$(awk '/^-module/ { sub(/.*\(\s*/, ""); sub(/\s*\).*$/, ""); print }' "${inexample}")
+ modname=$(awk '/^-module/ { sub(/.*\(/, ""); sub(/\).*$/, ""); print... | bash |
d_bash_20547 | ---
+++
@@ -8,7 +8,7 @@
pkg_upstream_url="https://github.com/habitat-sh/core-plans"
pkg_deps=(
${pkg_deps[@]}
- core/go
+ core/go17
core/git
core/gcc
core/make | bash |
d_bash_20548 | ---
+++
@@ -12,11 +12,13 @@
echo "Fixing up file permissions for development..."
echo "You can run this via 'docker-compose exec www /var/www/bin/fix-perms.sh'"
set -x
-# Ensure the default files directory is created.
+# Ensure the default private files directory is created.
# This was not automatically done via ... | bash |
d_bash_20549 | ---
+++
@@ -1,4 +1,4 @@
-for APP in Allura* *Forge* NoWarnings pyforge
+for APP in Allura* *Forge* NoWarnings
do
echo "# installing $APP dependencies"
pushd $APP | bash |
d_bash_20550 | ---
+++
@@ -1,6 +1,21 @@
include Array/Util/ArrayUtil.sh
+include Comparator/Comparator.sh
ArrayValidator(){
+ hasEntry(){
+ local flip=($(ArrayUtil flipArray $@))
+
+ entry=${flip[0]}
+ array=(${flip[@]:1})
+
+ for a in ${array[@]}; do
+ if [[ $(Comparator isEqual ${a} ${entry}) ]]; then
+ echo true
+ ... | bash |
d_bash_20551 | ---
+++
@@ -1,5 +1,8 @@
#!/bin/bash
-for l in $(ls -rt "$1"/api.*.log); do
- cat "$l" >> "$1/api.log"
- rm -f "$l"
-done
+if [ -e "$1"/api.*.log ]; then
+ for l in $(ls -rt "$1"/api.*.log); do
+ echo Archiving "$l"...
+ cat "$l" >> "$1/api.log"
+ rm -f "$l"
+ done
+fi | bash |
d_bash_20552 | ---
+++
@@ -7,7 +7,8 @@
exit 0;
fi
-TAG=`if [ "$TRAVIS_BRANCH" == "master" ]; then echo "latest"; else echo $TRAVIS_BRANCH ; fi`
+BRANCH=${TRAVIS_PULL_REQUEST_BRANCH:-$TRAVIS_BRANCH}
+TAG=`if [ "$BRANCH" == "master" ]; then echo "latest"; else echo $BRANCH ; fi`
docker build -t weinstein/app -f deploy/app.doc... | bash |
d_bash_20553 | ---
+++
@@ -4,6 +4,8 @@
echo "Usage `basename $0` <package> [ <package> ... ]"
exit 1
fi
+
+dnf install -y koji createrepo
while [ -n "$1" ] ; do
pushd "packages/$1" | bash |
d_bash_20554 | ---
+++
@@ -6,6 +6,8 @@
nvm use --delete-prefix "$NODE_VERSION"
if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
+ export DISPLAY=:99.0
+ Xvfb :99 -screen 0 1024x768x24 > /dev/null 2>&1 &
sleep 3
elif [[ "$TRAVIS_OS_NAME" == "osx" ]]; then
brew update
@@ -15,9 +17,10 @@
node --version
npm --version
+yarn ... | bash |
d_bash_20555 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+
+: ${RABBITMQ_LOG_DIR:=/var/log/kolla/rabbitmq}
# Bootstrap and exit if KOLLA_BOOTSTRAP variable is set. This catches all cases
# of the KOLLA_BOOTSTRAP variable being set, including empty.
@@ -16,9 +18,10 @@
exit 0
fi
-if [[ ! -d "/var/log/kolla/rabbitmq" ]]; then
-... | bash |
d_bash_20556 | ---
+++
@@ -12,6 +12,7 @@
-M manifests/default.pp \
--fact osfamily=Debian \
--fact ipaddress_eth0=10.2.3.4 \
+ --fact ipaddress_eth1=192.168.0.2 \
--fact architecture=amd64 \
--fact operatingsystem=Ubuntu \
--fact operatingsystemrelease=14.04 \ | bash |
d_bash_20557 | ---
+++
@@ -1,6 +1,7 @@
#!/bin/bash -e
-#
-# gd-sum.sh - brief sum of line additions and deletions in a git
+
+# Summary
+# gd-sum.sh - brief sum of line additions and deletions in a git
#
# Usage
# ./gd-sum | bash |
d_bash_20558 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
source /source-vars.sh &&\
cd $GRITS_HOME/grits-api &&\
-$GRITS_HOME/grits_env/bin/celery worker -A tasks -Q priority --loglevel=INFO --concurrency=5
+$GRITS_HOME/grits_env/bin/celery worker -A tasks -Q priority --loglevel=INFO --concurrency=1 | bash |
d_bash_20559 | ---
+++
@@ -8,4 +8,4 @@
export JAVA_HOME=%%java_home%%
export HADOOP_HDFS_HOME=%%hadoop_dir%%
export LD_LIBRARY_PATH=%%ld_library_path%%:%%java_home%%/jre/lib/amd64/server:/usr/local/cuda/lib64/
-export CLASSPATH=%%hadoop_classpath_global%%
+export CLASSPATH=%%hadoop_classpath_global%%:$CLASSPATH | bash |
d_bash_20560 | ---
+++
@@ -1,7 +1,8 @@
+BASENAME=dissertation
NAME=dissertation.tex
pdflatex $NAME
bibtex $NAME
-makeglossaries dissertation
+makeglossaries $BASENAME
pdflatex $NAME
pdflatex $NAME
sh clean.sh | bash |
d_bash_20561 | ---
+++
@@ -8,7 +8,7 @@
case $OS_ID in
ol)
sudo yum -y install make
- [[ -e /usr/bin/ol_yum_configure.sh ]] && sudo /usr/bin/ol_yum_configure.sh
+ [[ -e /usr/bin/ol_yum_configure.sh ]] && sudo /usr/bin/ol_yum_configure.sh && sudo yum install oracle-epel-release-el7.x86_64
;;
ubuntu)
sudo a... | bash |
d_bash_20562 | ---
+++
@@ -1,22 +1,32 @@
#!/bin/bash
set -eu
+
+function print_link() {
+ local URL="${1}"
+ local CHECKSUM="$(curl -s -S -L "${URL}" | sha256sum | awk '{print $1}')"
+ echo "${URL}"
+ echo " - SHA-256 Checksum: \`${CHECKSUM}\`"
+}
+
VERSION="$1" # such as 3.7.1, 4.0.0-rc1
+BASE_URL="https://releases.matterm... | bash |
d_bash_20563 | ---
+++
@@ -11,4 +11,6 @@
wget http://www.stackage.org/lts/cabal.config
cabal update -v
cabal sandbox -v init
+cabal install happy alex haddock
+export PATH=$(pwd)/.cabal-sandbox/bin:$PATH
cabal install -v --only-dependencies --enable-tests -j | bash |
d_bash_20564 | ---
+++
@@ -6,8 +6,30 @@
# TIL
Today I Learned
+
+- - -
EOT
)
+readonly CATEGORIES=$(find $ROOT -mindepth 1 -maxdepth 1 -name "[a-zA-Z]*" -type d)
-echo "$HEADER" > $TARGET
+{
+ echo "$HEADER"
+ echo ""
+} > $TARGET
+
+{
+ echo "### Categories"
+ echo ""
+} >> $TARGET
+
+for p in $CATEGORIES
+do... | bash |
d_bash_20565 | ---
+++
@@ -7,3 +7,5 @@
alias sd='script/destroy'
alias migrate='rake db:migrate db:test:clone'
+
+alias guard='nocorrect guard' | bash |
d_bash_20566 | ---
+++
@@ -2,7 +2,7 @@
mkdir -p bin
mkdir -p build
-sed -i '' 's/ /\t/g' makefile
+sed -i'' -e 's/ /\t/g' makefile
buildOnly=0
release=0 | bash |
d_bash_20567 | ---
+++
@@ -2,7 +2,11 @@
#
# Script to generate all required files from fresh git checkout.
-command -v libtoolize >/dev/null 2>&1
+
+case `uname` in Darwin*) LIBTOOLIZE=glibtoolize ;;
+ *) LIBTOOLIZE=libtoolize ;; esac
+
+command -v $LIBTOOLIZE >/dev/null 2>&1
if [ $? -ne 0 ]; then
echo "autogen.sh: ... | bash |
d_bash_20568 | ---
+++
@@ -1,8 +1,12 @@
sudo apt-get install libzip-dev libsigsegv-dev libffi-dev libltdl-dev \
libreadline-dev libgmp-dev libgnutls-dev libcairo2-dev libsdl2-dev \
- texi2html automake autoconf m4 perl autotools-dev libtool bison flex
+ texi2html automake autoconf m4 perl autotools-dev libtool bison fle... | bash |
d_bash_20569 | ---
+++
@@ -5,8 +5,9 @@
echo "Configuring sshd"
sed -i "s/PasswordAuthentication no/PasswordAuthentication yes/g" /etc/ssh/sshd_config
-sed -i "s/^PermitRootLogin.*//g" /etc/ssh/sshd_config
+sed -i "s/^#PermitRootLogin.*/PermitRootLogin yes/g" /etc/ssh/sshd_config
sed -i 's/#UseDNS yes/UseDNS no/g' /etc/ssh/sshd... | bash |
d_bash_20570 | ---
+++
@@ -5,6 +5,7 @@
aliases=(
[1.7]='1'
[2.3]='2 latest'
+ [5.0]='5'
)
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" | bash |
d_bash_20571 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
+# This script is deprecated, so give the warning.
echo "WARNING: The 'nocrash.sh' script is deprecated in favor of 'nocrash.py' instead."
echo ""
| bash |
d_bash_20572 | ---
+++
@@ -13,7 +13,7 @@
sleep 30
# loop over the provision call until either it works or we've given up (10sec sleep, 12 tries = ~ 2-3 minutes)
count=0
-max=10
+max=1
while :
do
vagrant provision | bash |
d_bash_20573 | ---
+++
@@ -3,4 +3,5 @@
set -e
$(boot2docker shellinit)
-docker run --rm -v "$(pwd)":/usr/src/myapp -w /usr/src/myapp golang:cross sh build.sh
+DIR=/go/src/github.com/bosun-monitor/scollector
+docker run --rm -v "$(pwd)":$DIR -w $DIR golang:cross sh build.sh | bash |
d_bash_20574 | ---
+++
@@ -38,3 +38,7 @@
# Install inconsolata font
open https://fonts.google.com/specimen/Inconsolata
+
+# Disable Spotlight Indexing
+sudo mdutil -a -s
+sudo mdutil -a -i off | bash |
d_bash_20575 | ---
+++
@@ -1,4 +1,12 @@
#!/bin/bash
+
+function red() {
+ echo $'\033[1;31m'"$@"$'\033[m'
+}
+
+function green() {
+ echo $'\033[1;32m'"$@"$'\033[m'
+}
GIT_BRANCH=$(
git rev-parse --abbrev-ref HEAD |
@@ -6,7 +14,15 @@
sed 's#[^a-z0-9._-]#-#'
)
-docker build --tag docker-volume-rdma:"$GIT_BRANCH" .
+set -e... | bash |
d_bash_20576 | ---
+++
@@ -2,12 +2,12 @@
apt-get update
apt-get install cmus -y # Music player
-apt-get install emacs -y # Epub reader
-apt-get install fbreader -y
+apt-get install emacs -y # The other vim
apt-get install filezilla -y # Alternative?
-apt-get install git-all -y # Git all the things!
+apt-get install git-all -y ... | bash |
d_bash_20577 | ---
+++
@@ -38,7 +38,7 @@
chmod +x $buildFile
# Cleanup
- if test ! -d $tempFolder; then
+ if test -d $tempFolder; then
rm -rf $tempFolder
fi
fi | bash |
d_bash_20578 | ---
+++
@@ -1,5 +1,6 @@
#!/usr/bin/env bash
+NODE_ENV=production
BRANCH=gh-pages # Branch to deploy to, probably gh-pages
DIST_DIR=docs # Location of build static files to deploy
DEPLOY_DIR=site_deploy/ # Temp directory to clone to during deployment | bash |
d_bash_20579 | ---
+++
@@ -1,4 +1,9 @@
#!/usr/bin/env bash
docker rm -v $(docker ps -a | grep Exited | tr -s " " | cut -f1 -d\ )
+
+if [[ "$1" == "-a" ]]; then
+ docker rm -v $(docker ps -a | grep Created | tr -s " " | cut -f1 -d\ )
+fi # [[ "$1" == "-a" ]]
+
docker rmi $(docker images | grep '<none>' | tr -s " " | cut -f3 ... | bash |
d_bash_20580 | ---
+++
@@ -12,6 +12,6 @@
(cd core && bundle exec rake environment resque:work 'QUEUE=*' || kill $$) 2>&1| perl -pe "s/^/\x1b[0;31m[worker] \x1b[0m/" &
(cd core && bundle exec thin start || kill $$) 2>&1| perl -pe "s/^/\x1b[0;32m[webserver] \x1b[0m/" &
(cd core && bundle exec script/static.rb || kill $$) 2>&1|... | bash |
d_bash_20581 | ---
+++
@@ -1,5 +1,5 @@
-VERSION=10.39
-TAR=https://github.com/PhilipHazel/pcre2/releases/download/pcre2-${VERSION}/pcre2-${VERSION}.tar.bz2
+VERSION=8.42
+TAR=https://ftp.pcre.org/pub/pcre/pcre-$VERSION.tar.bz2
BUILD_DEPENDS=()
function recipe_version { | bash |
d_bash_20582 | ---
+++
@@ -15,6 +15,8 @@
prompt pure
source /usr/share/zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
+source /usr/share/fzf/key-bindings.zsh
+source /usr/share/fzf/completion.zsh
# Command history configuration
if [ -z $HISTFILE ]; then | bash |
d_bash_20583 | ---
+++
@@ -2,4 +2,15 @@
set -euf -o pipefail
-apt-get install -y collectd
+COLLECTD_VERSION=5.7
+
+# Add collectd’s official GPG key
+apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 3994D24FB8543576
+
+# Set up the latest repository
+add-apt-repository \
+ "deb http://pkg.ci.collectd.org/deb \
+ ... | bash |
d_bash_20584 | ---
+++
@@ -4,5 +4,7 @@
/etc/init.d/postgresql start
/etc/init.d/redis-server start
nohup mongod &
-
+if ! [ -d "/tower_develop/awx/lib/site-packages" ]; then
+ ln -s /tower/awx/lib/site-packages /tower_devel/awx/lib/site-packages
+fi
/bin/bash | bash |
d_bash_20585 | ---
+++
@@ -41,9 +41,9 @@
check $GOPATH/bin/gometalinter "needs gometalinter from https://github.com/alecthomas/gometalinter"
check $GOPATH/bin/go-bindata "needs go-bindata from https://github.com/jteeuwen/go-bindata"
+perform generators go generate . ./operations
+perform linters gometalinter --fast --aggre... | bash |
d_bash_20586 | ---
+++
@@ -3,12 +3,13 @@
if ! [[ -s $1 && -s $1.c ]]; then
echo "Usage: cverify.sh program [arguments ...]"
- echo " Please make sure the compiled program and its .c source file exist."
+ echo " Please make sure the compiled program and its .c and .h source" \
+ "files exist."
exit 1
fi
echo
... | bash |
d_bash_20587 | ---
+++
@@ -14,4 +14,4 @@
python build/mktargets.py --directory test/api --prefix api_test
python build/mktargets.py --directory test/common --prefix common_unittest
python build/mktargets.py --directory module --prefix module
-python build/mktargets.py --directory gtest --library gtest --out build/gtest-targets.m... | bash |
d_bash_20588 | ---
+++
@@ -7,6 +7,7 @@
eslint-config-ctrl \
eslint-config-ctrl-react \
eslint-plugin-react \
+ ngrok \
sass-lint \
sass-lint-config-ctrl \
pm2 \ | bash |
d_bash_20589 | ---
+++
@@ -1,5 +1,9 @@
#!/bin/sh
-DISKFREE=$(df | grep /dev/sda2 | awk '{print $4}')
+
+# volume where downloads are stored
+VOLUME="/dev/sda2"
+
+DISKFREE=$(df $VOLUME | tail -1 | awk '{print $4}')
MANAGER_ARGS="--cron --delete-maxcount --delete-orphans"
| bash |
d_bash_20590 | ---
+++
@@ -3,6 +3,7 @@
mkdir memcached-1.4.25/build
pushd memcached-1.4.25/build
../configure && make
+adduser mamcached
popd
pushd mutilate | bash |
d_bash_20591 | ---
+++
@@ -4,7 +4,3 @@
make release
make test
-
-if [ "$TRAVIS_RUST_VERSION" = "nightly" ]; then
- travis_wait 20 make benchmark
-fi | bash |
d_bash_20592 | ---
+++
@@ -12,7 +12,6 @@
CUR_PATH=${PWD}
cd ${CK_ENV_LIB_ARMCL_SRC}
-
rm -rf tests/validation_old
@@ -38,7 +37,8 @@
${XOS} ${XARCH} \
build=${BUILD} extra_cxx_flags="${EXTRA_CXX_FLAGS}"
-cd build/tests
-cp -rf * ${CUR_PATH}
+cd build
+cp -rf tests/* ${CUR_PATH}
+cp -rf examples/graph_* ${CUR... | bash |
d_bash_20593 | ---
+++
@@ -21,10 +21,10 @@
file=Dockerfile
echo "Building $package"
-stack build --ghc-options "$ghc_options" .
+stack build --ghc-options "$ghc_options" -- .
if [ -S $socket -a -r $socket -a -w $socket -a -f $file -a -r $file ]; then
- ln -snf "$(stack path --dist-dir)/build" .
- docker build --tag "$tag" ... | bash |
d_bash_20594 | ---
+++
@@ -44,5 +44,10 @@
wget \
zip \
zlib1g-dev
+
+# Install ca-certificates, and update the certificate store.
+apt-get install ca-certificates-java
+update-ca-certificates -f
+
apt-get clean
rm -rf /var/lib/apt/lists/* | bash |
d_bash_20595 | ---
+++
@@ -8,8 +8,11 @@
}
test::imos-pokemon() {
- EXPECT_EQ 'Moltres' "$(UNAME=Darwin run)"
- EXPECT_EQ '146' "$(UNAME=Darwin run --id)"
+ # Test only when Darwin-specific commands exist.
+ if [ "${UNAME}" = 'Darwin' ]; then
+ EXPECT_EQ 'Moltres' "$(UNAME=Darwin run)"
+ EXPECT_EQ '146' "$(UNAME=Darwin... | bash |
d_bash_20596 | ---
+++
@@ -14,7 +14,7 @@
tar -cvz -C $project_dir/src -f $project_dir/.build/mysql-${stability}.tgz .
echo "Generating md5..."
-cat $project_dir/.build/mysql-${stability}.tgz ${MD5} | awk '{print $1}' > $project_dir/.build/mysql-${stability}.md5
+cat $project_dir/.build/mysql-${stability}.tgz | ${MD5} | awk '{p... | bash |
d_bash_20597 | ---
+++
@@ -15,7 +15,7 @@
case "$#" in
0)
- find $SD -name experiment -prune -o -name '*.js' -print0 |
+ find $SD \( -name experiment -o -name libs \) -prune -o -name '*.js' -print0 |
xargs -0 -n 1 $BASH_SOURCE
;;
1)
@@ -23,10 +23,7 @@
then
T=$(mktemp) &&
rhino $JSB/beaut... | bash |
d_bash_20598 | ---
+++
@@ -5,7 +5,7 @@
PLATFORMS=(debian docker osx)
VERSIONS=$@
-./gradlew clean && ./gradlew installDist -Prelease.useLastTag=true
+./gradlew clean -Prelease.useLastTag=true && ./gradlew installDist -Prelease.useLastTag=true
USAGE="You must supply a list of <versions>, e.g.\n $0 <version1> <version2>"
| bash |
d_bash_20599 | ---
+++
@@ -1,12 +1,15 @@
#!/bin/bash
+source ../commons/commons.sh
echo ">> Building...";
+setGradleArgs;
+echo "GRADLE_ARGS: $GRADLE_ARGS";
DIRECTORY=$(basename ${PWD});
CUSTOM_SETTINGS_GRADLE_FILE="../settings.gradle.all";
if [[ -f ${CUSTOM_SETTINGS_GRADLE_FILE} ]]; then
- ../gradlew -c ${CUSTOM_SETTINGS_GRAD... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.